Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 10/05/2010, à 09:40

DomS

[Résolu] Ignorer un paquet cassé avec aptitude

Bonjour à tous,
Depuis le passage à Lucid, le paquet libcupsys2 n'existe plus et a été remplacé par libcup2. Or, ce paquet était obligatoire pour installer les drivers proprio de mon imprimante, la Canon MP610. Comme j'ai pu le lire dans ce blog, il est possible de passer outre cette dépendance en forcant l'installation avec la commande --ignore-depends (sur le blog, il s'est trompé et a marqué --ignore-package=libcupsys2).
L'installation s'est alors bien passée et mon imprimante fonctionne avec les drivers canon. Cependant, je n peux plus faire de MàJ car aptitude me propose systématiquement de désinstaller ces "paquets cassés".
Je ne sais pas comment faire pour refuser cette désinstallation (si je tape n à la proposition, aptitude me dis qu'il n'a pas d'autre solution à me proposer).
Comment faire pour qu'aptitude ignore cette dépendance définitivement ?

Dernière modification par DomS (Le 12/05/2010, à 20:08)


PC fixe :  archlinux + openbox
Portable : ubuntu 14.04

Hors ligne

#2 Le 11/05/2010, à 07:52

DomS

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Mon topic n'inspire pas les foules sad


PC fixe :  archlinux + openbox
Portable : ubuntu 14.04

Hors ligne

#3 Le 11/05/2010, à 23:18

DomS

Re : [Résolu] Ignorer un paquet cassé avec aptitude

J'ai essayé le conseil de ce topic et tapé

sudo aptitude hold cnijfilter-mp610series cnijfilter-common

J'ai même essayé

sudo aptitude keep cnijfilter-mp610series cnijfilter-common

mais rien n'y fait. Aptitude refuse d'installer quoique ce soit tant que je n'ai pas résolu ce problème de dépendances.

Dernière modification par DomS (Le 11/05/2010, à 23:18)


PC fixe :  archlinux + openbox
Portable : ubuntu 14.04

Hors ligne

#4 Le 12/05/2010, à 00:18

alej

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Ça devrait faire le taf...

$ sudo apt-get install equivs
$ equivs-control libcupsys2

Tu vas retrouver dans le répertoire où tu as lancé la commande equivs-control un fichier libcupsys2 que tu édites en modifiant les lignes Package et Version (j'ai essayé sous lucid et sans numéro de version, le "vrai" paquet libcups2 entre en conflit avec le pseudo-paquet libcupsys2 de version 1.0 créé par défaut - en fait, de version < 1.3.7-6)...

Package: libcupsys2
Version: 2.0

Tant qu'à faire, tu peux aussi mettre un commentaire pour t'y retrouver + tard...

Description: paquet bidon
 Bidonnage pour libcupsys2

Puis tu crées le pseudo-paquet libcupsys2

$ equivs-build libcupsys2

Toujours au même endroit, tu vas retrouver un pseudo-paquet libcupsys2_2.0_all.deb que tu installes comme un vrai...

$ sudo dpkg -i libcupsys2_2.0_all.deb

Et normalement, ça devrait être bon...

$ apt-cache policy libcupsys2
libcupsys2:
  Installé : 2.0
  Candidat : 2.0
 Table de version :
 *** 2.0 0
        100 /var/lib/dpkg/status
$ apt-cache show libcupsys2
Package: libcupsys2
Status: install ok installed
Priority: optional
Section: misc
Installed-Size: 36
Maintainer: Alexandre <alex@NADA.home>
Architecture: all
Version: 2.0
Description: paquet bidon
 Bidonnage pour libcupsys2

capturegestionnairedepa.th.png

Hors ligne

#5 Le 12/05/2010, à 20:06

DomS

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Ça a l'air de marcher. Merci beaucoup pour ton aide.


PC fixe :  archlinux + openbox
Portable : ubuntu 14.04

Hors ligne

#6 Le 31/05/2010, à 11:50

rencomi

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Bonjour Tous le monde,

Merci a toi pour la reponse et la decouverte d' equivs.

Ca marche super avec une Canon pixma ip100 , mais avec le fichier ppd, qui se trouve  dans /usr/share/ppd/....

A bientot sur ce super forum..

smile:)

Hors ligne

#7 Le 01/08/2010, à 22:12

marcisah

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Salut,

Je suis débutant, mais il me semble qu'il y a plus simple :
Venant de passer de 8.04 à 10.04, j'ai eu le même problème.
Sur un forum anglais (http://r3dux.org/tag/libcupsys2/) j'ai trouvé la solution :
Installe libcupssys2 de jaunty avec le line suivant :
http://packages.ubuntu.com/jaunty/all/libcupsys2/download
Le lien est security.ubuntu.com/ubuntu.
Une fois que tu as fait cela, tu installes les paquets récupérés sur le site canon (4 paquets : scangear common, scangear MP520, IJ qqch common et ij qqch MP520 (les 2 derniers te donnent les paquets cnijfilter).
Moi cela marche bien et je ne pense pas avoir tes soucis de MAJ (à confirmer... big_smile)

Hors ligne

#8 Le 07/09/2010, à 16:34

ytse

Re : [Résolu] Ignorer un paquet cassé avec aptitude

je confirme que le lien de marcIsah fonctionne bien.

En revanche je n'arrive toujours pas à faire fonctionner correctement mon ip4600 :
- j'ai téléchargé le fichier contenant le deb canon common + canon ip4600
- elle est détectée toute seule quand je l'allume en usb
- j'imprime une page de site internet (au hasard... ce thread)

=> j'ai aucun texte noir, juste les liens.
j'avais d'ailleurs le même problème avec les drivers fournis par défaut (j'en étais pas encore à chercher le recto-verso)
Une idée ???

(j'ai bien sûr vérifié mes cartouches, des fois que)

je suis perdu, et c'est vraiment le seul truc qui va me faire réinstaller windows si ça continue...
Si au moins j'arrivais à imprimer depuis une vm dans virtualbox ça irait !

Hors ligne

#9 Le 07/09/2010, à 19:44

marcisah

Re : [Résolu] Ignorer un paquet cassé avec aptitude

Juste pour essayer de bien cerner le problème : que se passe-t-il si tu essaies d'imprimer une ligne écrite en couleur ?
Que se passe-t-il si tu imprime uen page de test depuis ton imprimante ?

Hors ligne

Haut de page ↑